import { EditorView } from '@codemirror/next/view';
import { Diagnostic } from '@codemirror/next/lint';
import { LSPClient } from '../client/lsp';
declare type lintFunc = (view: EditorView) => readonly Diagnostic[] | Promise<readonly Diagnostic[]>;
export interface LintStrategy {
    promQL(this: LintStrategy): lintFunc;
}
export interface LintConfiguration {
    lsp?: {
        url?: string;
        lspClient?: LSPClient;
        httpErrorHandler?: (error: any) => void;
    };
}
export declare function newLintStrategy(conf?: LintConfiguration): LintStrategy;
export declare function promQLLinter(callbackFunc: (this: LintStrategy) => lintFunc, thisArg: LintStrategy): import("@codemirror/next/state").Extension;
export {};
