import { LezerSyntax } from '@codemirror/next/syntax';
import { Extension } from '@codemirror/next/state';
import { CompleteConfiguration } from './complete';
import { LintConfiguration } from './lint';
export declare const promQLSyntax: LezerSyntax;
/**
 * This class holds the state of the completion extension for CodeMirror and allow hot-swapping the complete strategy.
 */
export declare class PromQLExtension {
    private complete;
    private lint;
    private enableCompletion;
    private enableLinter;
    constructor();
    setComplete(conf?: CompleteConfiguration): PromQLExtension;
    setLinter(conf?: LintConfiguration): PromQLExtension;
    activateCompletion(activate: boolean): PromQLExtension;
    activateLinter(activate: boolean): PromQLExtension;
    asExtension(): Extension;
}
